
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DBUtil简单代码实现 / 憋错料</title>

    <meta name="description" content="DBUtil简单代码实现 写一个简单得到Connection对象的工具类 package com.yds; import java.sql.Connection; import java.sql.DriverManager; import java.sql.SQLException; import org.apache.commons.dbutils.DbUtils; /**  * 得到connection对象  * @author yu  *  */ public class GetConnection { priva">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">DBUtil简单代码实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>写一个简单得到Connection对象的工具类</p>
<pre>package&nbsp;com.yds;

import&nbsp;java.sql.Connection;
import&nbsp;java.sql.DriverManager;
import&nbsp;java.sql.SQLException;

import&nbsp;org.apache.commons.dbutils.DbUtils;
/**
&nbsp;*&nbsp;得到connection对象
&nbsp;*&nbsp;@author&nbsp;yu
&nbsp;*
&nbsp;*/
public&nbsp;class&nbsp;GetConnection&nbsp;{

	private&nbsp;static&nbsp;GetConnection&nbsp;connection;

	private&nbsp;GetConnection(){

	}

	public&nbsp;static&nbsp;GetConnection&nbsp;getInstants(){
		if(connection==null){
			connection=new&nbsp;GetConnection();
		}
		return&nbsp;connection;
	}
	/**
	&nbsp;*&nbsp;得到connection对象
	&nbsp;*&nbsp;@return
	&nbsp;*/
	public&nbsp;Connection&nbsp;getConn(){
		Connection&nbsp;conn=null;
		boolean&nbsp;flag=DbUtils.loadDriver("com.mysql.jdbc.Driver");
		if(flag){
			try&nbsp;{
				conn=DriverManager.getConnection("jdbc:mysql://localhost:3306/test",&nbsp;"root",&nbsp;"1234");
			}&nbsp;catch&nbsp;(SQLException&nbsp;e)&nbsp;{
			}
		}
		return&nbsp;conn;
	}

}</pre>
<p>实现DBUtils查询所有</p>
<pre>package&nbsp;com.yds;

import&nbsp;java.sql.Connection;
import&nbsp;java.sql.SQLException;
import&nbsp;java.util.List;
import&nbsp;java.util.Map;

import&nbsp;org.apache.commons.dbutils.DbUtils;
import&nbsp;org.apache.commons.dbutils.QueryRunner;
import&nbsp;org.apache.commons.dbutils.handlers.MapListHandler;

/**
&nbsp;*&nbsp;查询所有
&nbsp;*&nbsp;@author&nbsp;yu
&nbsp;*
&nbsp;*/
public&nbsp;class&nbsp;QueryAll&nbsp;{

	public&nbsp;static&nbsp;void&nbsp;main(String[]&nbsp;args)&nbsp;{
		GetConnection&nbsp;getConnection=GetConnection.getInstants();
		Connection&nbsp;conn=getConnection.getConn();
		//创建查询器
		QueryRunner&nbsp;query=new&nbsp;QueryRunner();
		try&nbsp;{
			List&nbsp;list=(List)query.query(conn,"select&nbsp;*&nbsp;from&nbsp;t_user",&nbsp;new&nbsp;MapListHandler());
			for(Object&nbsp;obj:list){
				Map&nbsp;map=(Map)obj;
				System.out.println(map.get("id"));
			}
		}&nbsp;catch&nbsp;(SQLException&nbsp;e)&nbsp;{
			e.printStackTrace();
		}finally&nbsp;{
			try&nbsp;{
				DbUtils.close(conn);
			}&nbsp;catch&nbsp;(SQLException&nbsp;e)&nbsp;{
				e.printStackTrace();
			}
		}
	}

}</pre>
<p>增加</p>
<pre>package&nbsp;com.yds;

import&nbsp;java.sql.Connection;
import&nbsp;java.sql.SQLException;

import&nbsp;org.apache.commons.dbutils.QueryRunner;
import&nbsp;org.apache.commons.dbutils.handlers.ScalarHandler;

/**
&nbsp;*&nbsp;增删改操作
&nbsp;*&nbsp;insert和update的区别
&nbsp;*&nbsp;	insert插入进去的值，返回插入的主键id
&nbsp;*&nbsp;&nbsp;update执行后，返回影响后的条数
&nbsp;*&nbsp;@author&nbsp;yu
&nbsp;*
&nbsp;*/
public&nbsp;class&nbsp;Cud&nbsp;{

	public&nbsp;static&nbsp;void&nbsp;main(String[]&nbsp;args)&nbsp;{
		GetConnection&nbsp;getConnection=GetConnection.getInstants();
		Connection&nbsp;&nbsp;conn=getConnection.getConn();
		create(conn);
	}

	public&nbsp;static&nbsp;void&nbsp;create(Connection&nbsp;conn){
		QueryRunner&nbsp;qr=new&nbsp;QueryRunner();
		StringBuffer&nbsp;sql=new&nbsp;StringBuffer();
		sql.append("insert&nbsp;into&nbsp;t_user(userName,passWord)&nbsp;values(");
		sql.append("‘测试用户名‘");
		sql.append(",");
		sql.append("‘测试密码‘");
		sql.append(")");
		try&nbsp;{
			//qr.update(conn,&nbsp;sql.toString(),&nbsp;null);
			Long&nbsp;pk=qr.insert(conn,&nbsp;sql.toString(),new&nbsp;ScalarHandler&lt;Long&gt;());
			System.out.println(pk);
		}&nbsp;catch&nbsp;(SQLException&nbsp;e)&nbsp;{
			//&nbsp;TODO&nbsp;Auto-generated&nbsp;catch&nbsp;block
			e.printStackTrace();
		}
	}

}</pre>
<p>返回对象封装、代码和jar在附件中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:20:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/dbutils/" title="dbutils">dbutils</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>DBUtil简单代码实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lBEW4.html" rel="bookmark">GRU&lpar;Gated Recurrent Unit&rpar; 更新过程推导及简单代码实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GRU(Gated Recurrent Unit) 更新过程推导及简单代码实现 RNN GRU matlab codes RNN网络考虑到了具有时间数列的样本数据,但是RNN仍存在着一些问题,比如随着时间的推移,RNN单元就失去了对很久之前信息的保存和处理的能力,而且存在着gradient vanishing问题. 所以有些特殊类型的RNN网络相继被提出,比如LSTM(long short term memory)和GRU(gated recurrent unit)(Chao,et al. 20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pvXEP0.html" rel="bookmark">三层架构简单代码描述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/// &lt;summary&gt; /// UI层的简单代码 /// &lt;/summary&gt; void LoadStudentInfo() { BLL.PersonManager bllperson=new BLL.PersonManager(); //实例化BLL逻辑处理层 List&lt;MODEL.Person&gt; list = bllperson.BllStudentInfo(false); //接受从BLL层传回的返回值 this.dgvStudent.DataSource =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YgdoJ4.html" rel="bookmark">简单代码实现 加载更多效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS &lt;script type=&quot;text/javascript&quot;&gt; //定义全局变量,用于计算分页 var more_i = 1; $('#showmore').click(function() { $.ajax({ type : 'get', url : '__URL__/ajax_more', data : { 'evalue_id' : {$evalue_info.evalue_id}, 'num' : more_i, }, dataType: 'json', su			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j5rvgM.html" rel="bookmark">常见排序算法思路和简单代码实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法名称 算法思路 简单代码实现                        			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVzOYwM.html" rel="bookmark">简单代码在ABAP中实现声音的播放</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这段代码的功能是在SAP里面实现声音的播放,可以用作程序提醒功能,和SAP里面’噹噹噹’那个声音的意思差不多.将来在项目中遇到客户想要SAP ABAP发出一点声音的时候就可以参考一下这个程序. REPORT zplay.DATA: command TYPE string. *本地命令语句CONCATENATE ‘vbscript:execute(”document.write ””&lt;bgsound src=’”‘file:///”+Replace(”C:\lg\Bad Romance.mp3“,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v1Zoo0.html" rel="bookmark">&lbrack;JAVA&rsqb; Tcp客户端和服务器简单代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器: 1 import java.io.DataInputStream; 2 import java.io.DataOutputStream; 3 import java.io.IOException; 4 import java.net.ServerSocket; 5 import java.net.Socket; 6 7 public class TcpServer { 8 public static void main(String [] args) throws IOExceptio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZaWYq0.html" rel="bookmark">分享哈我测试MongoDB数据库的简单代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:分享哈我测试MongoDB数据库的简单代码 源代码下载地址:http://www.zuidaima.com/share/1550463424236544.htm 分布式文件存储系统,MongoDB部署安装具体可以参照: http://www.cnblogs.com/mecity/archive/2011/06/11/2078527.html Demo实现了从txt文件中逐行读取数据,存放到MongoDB数据库中的. 可参照其它Demo代码 这是一套基于Spring, Hibernate,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPXEZPM.html" rel="bookmark">日语五十音图前几个页面关于导航器的简单代码分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//AppDalegate部分- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions { self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]]; // Override point for customization after app			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBDArv3.html" rel="bookmark">js实现倒计时60秒的简单代码&lpar;推荐&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot; /&gt; &lt;title&gt;js实现倒计时60秒的简单代码(推荐)&lt;/title&gt; &lt;script type=&quot;text/javascript&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vKq64.html" rel="bookmark" class="title">websocket实战（1） 入门</a>
					<div>
						1.WebSocket介绍 1.1 概念 WebSocket是HTML5中一系列新的API,或者说新规范,新技术.支持页面上使用Web Socket协议与远程主机进行全双工的通信.它引入了WebSoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MB66ZM.html" rel="bookmark" class="title">Laravel 5系列教程六：表单 Forms</a>
					<div>
						免费视频教程地址https://laravist.com/series/laravel-5-basic 在开始之前,我们把界面先美化一点点先: 首先到https://github.com/JellyB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dp5r0.html" rel="bookmark" class="title">web工程迁移---weblogic8迁移到jboss5遇到的异常</a>
					<div>
						原有的web工程是在weblogic8上运行的,但现在的要求是要运行到jboss5中,为如后迁移到更高版本的jboss做准备 由于我对weblogic没有过研究,所以之前的步骤都是有别人进行的,在进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWa7o0.html" rel="bookmark" class="title">从源码编译rpi的内核</a>
					<div>
						Kernel Building https://www.raspberrypi.org/documentation/linux/kernel/building.md There are two mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGDqoM.html" rel="bookmark" class="title">如何解决ubuntu软件中心闪退</a>
					<div>
						打开ubuntu软件中心时,闪退,同时新立得软件管理器也打不开并报错. 错误如下: E:Encountered a section with no Package: header, E:Problem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My5NynM.html" rel="bookmark" class="title">There is no getter for property named &amp;&num;39&semi;NULL&amp;&num;39&semi; in &hellip;&hellip;</a>
					<div>
						往往细节上的错误事最要命的事情,当你看着代码,逻辑上没有问题,但是却又曝出一些莫名其妙不知所以的错,你百度了 说出来的原因又是乱七八糟的鸡肋!很无助,纠结了很久,浪费了很多宝贵的时间--看代码! &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkP9x3.html" rel="bookmark" class="title">&lbrack;转&rsqb; C&num;实现在Sql Server中存储和读取Word文件</a>
					<div>
						出处 C#实现在Sql Server中存储和读取Word文件 要实现在Sql Server中实现将文件读写Word文件,需要在要存取的表中添加Image类型的列,示例表结构为: CREATE TABL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bn86m0.html" rel="bookmark" class="title">SVG-1</a>
					<div>
						&lt;rect&gt;矩形 &lt;circle&gt;圆 &lt;ellipse&gt;椭圆 &lt;line&gt;直线 &lt;polyline&gt;折线 &lt;polygon&gt;标签 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYzVjM.html" rel="bookmark" class="title">Android开始之 普通&sol;自定义Toast</a>
					<div>
						普通的: 自定义的:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzPgw0.html" rel="bookmark" class="title">cocos2d-x学习记录4&mdash;&mdash;图形绘制</a>
					<div>
						重写CCNode的draw函数能够绘制出各种基本图形,如点.直线.多边形.园.贝塞尔曲线等,同时还可以设置绘制的颜色和宽度. MyScene的draw函数 1 void MyScene::draw() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOmAL3.html" rel="bookmark" class="title">Linux三剑客企业级经典面试题解答实战</a>
					<div>
						Linux三剑客企业级经典面试题解答实战 说明:来自早晨老男孩教育在线班一期同学的面试题和学生给出的答案整理 面试题:请过滤oldboy.log中在device: {}里面出现了多少次oldboy,过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0le7ab3.html" rel="bookmark" class="title">Linux进程基础</a>
					<div>
						Linux进程基础 作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.谢谢! 计算机实际上可以做的事情实质上非常简单,比如计算两个数的和,再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvYVQ4.html" rel="bookmark" class="title">POJ 2226 最小点覆盖（经典建图）</a>
					<div>
						Muddy Fields Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 8881   Accepted: 3300 Desc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpml73.html" rel="bookmark" class="title">025360fyxwiv尊字驻作子撰</a>
					<div>
						﻿﻿ http://weheartit.com/zisouci/collections/68340257-2014-12-28 http://weheartit.com/zipuzhuang/coll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nq9783.html" rel="bookmark" class="title">form不提交问题</a>
					<div>
						var confirmOrderForm=document.getElementById(&quot;confirmOrderForm&quot;); var url=&quot;${pageCont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZmXg0.html" rel="bookmark" class="title">用程序来控制一个网页，实现自动输入等操作</a>
					<div>
						首先今天要说的东西跟游戏无关,你是不是有时候会遇到,在某个网页上重复着几十次的简单而又无聊的录入或点击等工作?比如你的程序需要测试,需要注册大量的测试邮箱.比如你的老板是个变态,让你去各个论坛发大量的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQORLM.html" rel="bookmark" class="title">js相关的时间获取方法</a>
					<div>
						1.获取时间 var time=new Date();//返回的是GMT,格林尼治标准时间. console.log(time)://Thu Jul 27 2017 16:55:21 GMT+0800 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eaNb4.html" rel="bookmark" class="title">Java中的继承与静态static等的执行先后顺序</a>
					<div>
						package extend; public class X { Y y=new Y(); static{  System.out.println(&quot;tttt&quot;); } X(){  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGAwQY3.html" rel="bookmark" class="title">Openresty 数据共享API&period;Data Sharing within an Nginx Worker</a>
					<div>
						摘要自:https://github.com/openresty/lua-nginx-module/#data-sharing-within-an-nginx-worker 每nginx worker ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBG7AM.html" rel="bookmark" class="title">Oracle 学习之性能优化（四）收集统计信息</a>
					<div>
						emp表有如下数据. SQL&gt; select ename,deptno from emp; ENAME    DEPTNO ------------------------------ ---- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
